# Exhibitor Registrations Exhibitor Registrations ## Creates a new exhibitor registration record that does not already exist. - [POST /exhibitorRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/createexhibitorregistration.md): This method will auto-generate an ID and create a new exhibitor registration. If an ID is specified for the exhibitor registration, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorRegistrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified exhibitor_id - [GET /exhibitorRegistrations/{tenantId}/exhibitor/{exhibitor_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyexhibitorid.md): Returns a list of records with the specified exhibitor_id ## Generates an order from an exhibitor registration - [POST /exhibitorRegistrations/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/generateorder.md): This method will examine an event registration and generate an appropriate order ## Returns a list of records with the specified order_id - [GET /exhibitorRegistrations/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /exhibitorRegistrations/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/listregistrationsbyorganizationid.md): Returns a list of records with the specified organization_id ## Validate Add Ons - [POST /exhibitorRegistrations/{tenantId}/validateAddOns](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/validateaddons.md): Returns a list of records with the specified organization_id ## Returns a exhibitor registration from the system by its ID. - [DELETE /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/deleteexhibitorregistration.md): This method will delete a exhibitor registration with the specified ID. ## Returns a exhibitor registration from the system by its ID. - [GET /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/getexhibitorregistration.md): This method will look up a exhibitor registration by the specified ID and return it back. ## Partially updates a exhibitor registration with the specified ID. - [PATCH /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/patchexhibitorregistration.md): This method will patch an existing exhibitor registration with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor registration with the specified ID. - [PUT /exhibitorRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-registrations/updateexhibitorregistration.md): This method will update an existing exhibitor registration with the specified ID.